Bug 47165

Summary: Using the same module name in command line mode causes NPE
Product: JMeter Reporter: Deepak Shetty <shettyd>
Component: HTTPAssignee: JMeter issues mailing list <issues>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 2.3.2   
Target Milestone: ---   
Hardware: PC   
OS: Windows Vista   
Attachments: Sample script to simulate the problem

Description Deepak Shetty 2009-05-07 09:42:39 UTC
Created attachment 23625 [details]
Sample script to simulate the problem

If the test includes Module Controllers having the same name and the Test is run on the command line , the test fails with a 
  [jmeter] Uncaught Exception java.lang.NullPointerException. See log file for details.

The Log 
2009/05/07 09:31:48 ERROR - jmeter.engine.StandardJMeterEngine: Uncaught exception:  java.lang.NullPointerException
	at org.apache.jorphan.collections.HashTree.traverseInto(HashTree.java:976)
	at org.apache.jorphan.collections.HashTree.traverseInto(HashTree.java:976)
	at org.apache.jorphan.collections.HashTree.traverseInto(HashTree.java:976)
	at org.apache.jorphan.collections.HashTree.traverse(HashTree.java:959)
	at org.apache.jmeter.engine.StandardJMeterEngine.run(StandardJMeterEngine.java:337)
	at java.lang.Thread.run(Thread.java:595)

Note this doesn't happen when running in GUI mode. This does not happen if the Module Controller is named differently.
Comment 1 Sebb 2009-05-07 16:54:43 UTC
Thanks for the report.

As far as I can tell, I have fixed it in the following change:

URL: http://svn.apache.org/viewvc?rev=772819&view=rev
Log:
Bug 47165 - Using the same module name in command line mode causes NPE
Comment 2 Sebb 2013-08-07 09:10:05 UTC
URL: http://svn.apache.org/r1511216
Log:
Add test for Bug 47165 to guard against regression

Added:
    jmeter/trunk/bin/testfiles/Bug47165.csv   (with props)
    jmeter/trunk/bin/testfiles/Bug47165.jmx   (with props)
    jmeter/trunk/bin/testfiles/Bug47165.xml   (with props)
Modified:
    jmeter/trunk/build.xml